---
name: terminal-routes
description: Handle 26 OpenAPI operation(s) under /v1/terminal for the terminal route group.
---

# terminal API Routes

Handle 26 OpenAPI operation(s) under /v1/terminal for the terminal route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### get_terminal_configurations

- Operation ID: `get_terminal_configurations`
- Route: `GET /v1/terminal/configurations`
- Mode: READ
- Summary: List all Configurations
- Parameters:
  - `ending_before` in `query`
  - `expand` in `query`
  - `is_account_default` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_terminal_configurations

- Operation ID: `post_terminal_configurations`
- Route: `POST /v1/terminal/configurations`
- Mode: WRITE
- Summary: Create a Configuration
- Body: JSON request body accepted.

### delete_terminal_configurations_configuration

- Operation ID: `delete_terminal_configurations_configuration`
- Route: `DELETE /v1/terminal/configurations/{configuration}`
- Mode: WRITE
- Summary: Delete a Configuration
- Parameters:
  - `configuration` in `path` required
- Body: JSON request body accepted.

### get_terminal_configurations_configuration

- Operation ID: `get_terminal_configurations_configuration`
- Route: `GET /v1/terminal/configurations/{configuration}`
- Mode: READ
- Summary: Retrieve a Configuration
- Parameters:
  - `configuration` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_terminal_configurations_configuration

- Operation ID: `post_terminal_configurations_configuration`
- Route: `POST /v1/terminal/configurations/{configuration}`
- Mode: WRITE
- Summary: Update a Configuration
- Parameters:
  - `configuration` in `path` required
- Body: JSON request body accepted.

### post_terminal_connection_tokens

- Operation ID: `post_terminal_connection_tokens`
- Route: `POST /v1/terminal/connection_tokens`
- Mode: WRITE
- Summary: Create a Connection Token
- Body: JSON request body accepted.

### get_terminal_locations

- Operation ID: `get_terminal_locations`
- Route: `GET /v1/terminal/locations`
- Mode: READ
- Summary: List all Locations
- Parameters:
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_terminal_locations

- Operation ID: `post_terminal_locations`
- Route: `POST /v1/terminal/locations`
- Mode: WRITE
- Summary: Create a Location
- Body: JSON request body accepted.

### delete_terminal_locations_location

- Operation ID: `delete_terminal_locations_location`
- Route: `DELETE /v1/terminal/locations/{location}`
- Mode: WRITE
- Summary: Delete a Location
- Parameters:
  - `location` in `path` required
- Body: JSON request body accepted.

### get_terminal_locations_location

- Operation ID: `get_terminal_locations_location`
- Route: `GET /v1/terminal/locations/{location}`
- Mode: READ
- Summary: Retrieve a Location
- Parameters:
  - `expand` in `query`
  - `location` in `path` required
- Body: JSON request body accepted.

### post_terminal_locations_location

- Operation ID: `post_terminal_locations_location`
- Route: `POST /v1/terminal/locations/{location}`
- Mode: WRITE
- Summary: Update a Location
- Parameters:
  - `location` in `path` required
- Body: JSON request body accepted.

### post_terminal_onboarding_links

- Operation ID: `post_terminal_onboarding_links`
- Route: `POST /v1/terminal/onboarding_links`
- Mode: WRITE
- Summary: Create an Onboarding Link
- Body: JSON request body accepted.

### get_terminal_readers

- Operation ID: `get_terminal_readers`
- Route: `GET /v1/terminal/readers`
- Mode: READ
- Summary: List all Readers
- Parameters:
  - `device_type` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `location` in `query`
  - `serial_number` in `query`
  - `starting_after` in `query`
  - `status` in `query`
- Body: JSON request body accepted.

### post_terminal_readers

- Operation ID: `post_terminal_readers`
- Route: `POST /v1/terminal/readers`
- Mode: WRITE
- Summary: Create a Reader
- Body: JSON request body accepted.

### delete_terminal_readers_reader

- Operation ID: `delete_terminal_readers_reader`
- Route: `DELETE /v1/terminal/readers/{reader}`
- Mode: WRITE
- Summary: Delete a Reader
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### get_terminal_readers_reader

- Operation ID: `get_terminal_readers_reader`
- Route: `GET /v1/terminal/readers/{reader}`
- Mode: READ
- Summary: Retrieve a Reader
- Parameters:
  - `expand` in `query`
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader

- Operation ID: `post_terminal_readers_reader`
- Route: `POST /v1/terminal/readers/{reader}`
- Mode: WRITE
- Summary: Update a Reader
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader_cancel_action

- Operation ID: `post_terminal_readers_reader_cancel_action`
- Route: `POST /v1/terminal/readers/{reader}/cancel_action`
- Mode: WRITE
- Summary: Cancel the current reader action
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader_collect_inputs

- Operation ID: `post_terminal_readers_reader_collect_inputs`
- Route: `POST /v1/terminal/readers/{reader}/collect_inputs`
- Mode: WRITE
- Summary: Collect inputs using a Reader
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader_collect_payment_method

- Operation ID: `post_terminal_readers_reader_collect_payment_method`
- Route: `POST /v1/terminal/readers/{reader}/collect_payment_method`
- Mode: WRITE
- Summary: Hand off a PaymentIntent to a Reader and collect card details
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader_confirm_payment_intent

- Operation ID: `post_terminal_readers_reader_confirm_payment_intent`
- Route: `POST /v1/terminal/readers/{reader}/confirm_payment_intent`
- Mode: WRITE
- Summary: Confirm a PaymentIntent on the Reader
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader_process_payment_intent

- Operation ID: `post_terminal_readers_reader_process_payment_intent`
- Route: `POST /v1/terminal/readers/{reader}/process_payment_intent`
- Mode: WRITE
- Summary: Hand-off a PaymentIntent to a Reader
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader_process_setup_intent

- Operation ID: `post_terminal_readers_reader_process_setup_intent`
- Route: `POST /v1/terminal/readers/{reader}/process_setup_intent`
- Mode: WRITE
- Summary: Hand-off a SetupIntent to a Reader
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader_refund_payment

- Operation ID: `post_terminal_readers_reader_refund_payment`
- Route: `POST /v1/terminal/readers/{reader}/refund_payment`
- Mode: WRITE
- Summary: Refund a Charge or a PaymentIntent in-person
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_readers_reader_set_reader_display

- Operation ID: `post_terminal_readers_reader_set_reader_display`
- Route: `POST /v1/terminal/readers/{reader}/set_reader_display`
- Mode: WRITE
- Summary: Set reader display
- Parameters:
  - `reader` in `path` required
- Body: JSON request body accepted.

### post_terminal_refunds

- Operation ID: `post_terminal_refunds`
- Route: `POST /v1/terminal/refunds`
- Mode: WRITE
- Summary: Create a refund using a Terminal-supported device.
- Body: JSON request body accepted.
